#ifndef EMM3330_H
#define EMM3330_H

#define RFTMIN_L 95
#define RFTMAX_L 240

#define RFTMIN_H 15
//#define RFTMAX_H 30
#define RFTMAX_H 50

#define RFTDIS	150

#define RF_DAT p4_5 

#define SENS_ANZ	10
#define SENS_TO		120
#define RX_INVERTED

struct EMdata
{
	unsigned int uiID;
	signed int siTemp;
	unsigned char ucHum;
	unsigned int uiDelta;
	unsigned int uiTimeOut;
};

void 			em_initStruct(void);
unsigned char	em_printIndex(unsigned char ucIndex);
unsigned char 	em_printIndexCSV(unsigned char ucIndex);
unsigned int 	em_getData(signed int *psiTemp, unsigned char *pucHum);
unsigned char 	em_findIndex(unsigned int uiID);
void 			em_removeIndex(unsigned char ucIndex1);
unsigned char 	em_setData(unsigned int uiID, signed int siTemp, unsigned char ucHum);
void 			em_decTO(void);
unsigned int 	em_getTO(unsigned char);

#endif
